import { EventEmitter, OnInit } from '@angular/core';
import { IconCacheService } from '../../service/icon-cache.service';
import { Icon } from '../../enum/icon.enum';
import { DomSanitizer } from '@angular/platform-browser';
export declare class PreviewPdfDialogComponent implements OnInit {
    iconCacheService: IconCacheService;
    sanitizer: DomSanitizer;
    showClass(): boolean;
    set pdfDoc(value: string);
    get pdfDoc(): string;
    closePDFDialog: EventEmitter<any>;
    readonly icons: typeof Icon;
    pdfUrl: string;
    private _pdfDoc;
    constructor(iconCacheService: IconCacheService, sanitizer: DomSanitizer);
    ngOnInit(): void;
    private _generatePdf;
}
